Subject: Re: [Mgs] [Mg-t] Distributor

From: Rick Lindsay <[email-masked]>
Date: Mon, 30 Dec 2013 20:08:07 -0600

...and the owners of all limited production new cars. Perhaps I'm just paranoid.B 

I was fortunate enough to find a corroded connector on the last MAF I serviced. It was on a friend's Mondial T. One worked perfectly. The other failed leaving one bank of the engine without charge! While working on the car we found a replacement MAF in Portugal for b,500!

-------- Original message --------
From: John <[email-masked]> 
Date: 12/30/2013  7:52 PM  (GMT-06:00) 
To: MG List <[email-masked]> 
Subject: Re: [Mgs] [Mg-t] Distributor 
 
Woe is the Ferrari owner.B  
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/mgs/[email-masked]
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/mgs/[email-masked]